#!/bin/sh

#PBS -N BWA_index_ref
#PBS -q standby
#PBS -l nodes=1:ppn=1
#PBS -l walltime=4:00:00
#PBS -m abe

module purge
module load bioinfo
module load bwa

cd $PBS_O_WORKDIR

# remove "^--" lines from C. viridis reference file that make GATK return an error (- character is ASCII 45)
grep -n "-" ref.fa > BWA_index_ref.log
sed -i '/^-/d' ref.fa
grep -n "-" ref.fa >> BWA_index_ref.log

# index reference and map reads
bwa index -a bwtsw ref.fa \
2>&1 | tee deletable.indexing.log

cat deletable.indexing.log >> BWA_index_ref.log

# END