#!/bin/sh

#PBS -N sttBWA_mem
#PBS -q fnrdewoody
#PBS -l nodes=1:ppn=10,naccesspolicy=singleuser
#PBS -l walltime=300:00:00
#PBS -m abe

module load bioinfo
module load bwa

cd $PBS_O_WORKDIR

LINE=$"tergeminus"
FILE=$"stt"

# make a DIR for each species with the reference and the PE reads
cp ../ref.* .
cp ../../st${LINE}/reads/PE/R1.fastq ${FILE}_R1.fastq
cp ../../st${LINE}/reads/PE/R2.fastq ${FILE}_R2.fastq

# map reads to reference
bwa mem -t 10 -M -R "@RG\tID:group1\tSM:$LINE\tPL:illumina\tLB:lib1\tPU:unit1" \
ref.fa ${FILE}_R1.fastq ${FILE}_R2.fastq > ${LINE}.sam

# END
