#!/bin/sh

#PBS -N stthaplotypecaller
#PBS -q fnrgenetics
#PBS -l nodes=1:ppn=10,naccesspolicy=singleuser
#PBS -l walltime=300:00:00
#PBS -m abe

module load bioinfo
module load picard-tools
module load GATK/3.8.1

cd $PBS_O_WORKDIR

LINE=$"tergeminus"

# Run HaplotypeCaller
GenomeAnalysisTK -T HaplotypeCaller -R ref.fa -I marked.bam -nct 10 \
--emitRefConfidence GVCF -stand_call_conf 0 --min_base_quality_score 20 \
--min_mapping_quality_score 20 -o ${LINE}.g.vcf

# END
