# Files contained within the folder: Appendix C scripts
all.scripts.txt - Every script in the folder catenated into a single text file with README-style index at the top
fastqc.sh - code to check wgs read quality
kmergenie.jellyfish.sh - code to estimate genome size and optimum kmer with kmergenie and jellyfish programs
abyss.denovo.sh - code for genome assembly of Sistrurus tergeminus tergeminus (Prairie Massasauga)
SOAPdenovo.sh - cod for genome assembly of Sistrurus tergeminus edwardsii (Desert Massasauga)
blast.sh - code to search in genome assembly for mitochondrial scaffold with mitochondrial sequence
check_read_alignments.sh - code to align wgs reads to reference mitochondrion and mitochondrial assembly to visually check data
mitobim.sh - code to generate mitochondrial assembly from wgs reads and a reference mitochondrion sequence
template_blast.sh - BLAST code for aligning genomes of two different individuals. Individualized and repeated serially for all pairwise comparisons.
calc_div.sh - bash submission file for calc_div.R to calculate K2P distances between full nuclear genomes
calc_div.R - R code for calculating full nuclear genome divergence (K2P distances) from BLAST results (template_blast.sh)
k2p_figure.sh - bash and R code for generation of genetic divergence figure (Figure 3) from full nuclear genome alignments and genetic distance calculations (template_blast.sh; calc_div.sh; calc_div.R)
1_BWA_index_ref.sh - Step 1 of variant calling pipeline: index reference genome
2_BWA_mem.sh - Step 2 of variant calling pipeline: map PE reads to reference genome
3_picard.sh - Step 3 of variant calling pipeline: quality check and mark mapped reads (sam/bam files)
4_GATK.sh - Step 4 of variant calling pipeline: realign bam file
5_GATK.sh - Step 5 of variant calling pipeline: HaplotypeCaller - call variants and record in variant call file (VCF)
6_GATK.sh - Step 6 of variant calling pipeline: combine files from both samples (desert and prairie) and extract only SNPs into new VCF
7_GATK.sh - Step 7 of variant calling pipeline: filter SNPs to selection criteria
8_snpEff.sh - Step 8 of variant calling pipeline: filter genic SNPs to those with highest likely impact (based on gene annotations)
9_neutral_filtering.sh - Step 9 of variant calling pipeline: filter intergenic SNPs to those farthest from any known genes (and therefore least likely to face linkage to sites under selection)
gatk_pipeline.sh - Steps 1 through 7 in variant calling pipeline above placed more cleanly in a single file as written for a single genome assembly. This script was not used for variant calling in our process, but is provided for better clarity/context.
format_conversion_scripts.R - R code converting genotypes to and from certain dataset formats for input into other programs and scripts
genepop_analysis.R - R code for analyses done in genepop
adegenet.R - R code for all analyses with Adegenet and Mantel Test (Figure 4; Figure S2)
LEA_pop_structure.R - R code for LEA plots (Figure 5; Figure S2)
zhangyimou.R - Seward Lee's code for plot color schemes following the films of Zhang Yimou. https://github.com/sewardlee337/zhangyimou/blob/master/R/palette_sample.R
