#!/bin/sh -l
#PBS -q fnrquail
#PBS -l nodes=1:ppn=20
#PBS -l walltime=336:00:00
#PBS -N stt.ab.k60
#PBS -M bylsma@purdue.edu
#PBS -m abe

cd $PBS_O_WORKDIR
module load bioinfo
module load abyss/2.1.5-maxk128

# S.t.tergeminus #

# k=60 #

cd /scratch/snyder/b/bylsma/massasauga/sttergeminus/assembly/abyss.denovo/
mkdir k60/
cd k60/

printf '' > sttergeminus.k60.log	# create blank logfile #

abyss-pe k=60 v=-vv s=202 n=10 l=15 \
name=sttergeminus.k60 lib='pe1' mp='mp1' \
	pe1='../../../reads/PE/sttergeminusPE_CSA-01_R1_filteredT.fastq ../../../reads/PE/sttergeminusPE_CSA-01_R2_filteredT.fastq' \
	mp1='../../../reads/MP/sttergeminusMP_CSA-01_R1_filtered.fastq ../../../reads/MP/sttergeminusMP_CSA-01_R2_filtered.fastq' \
	2>&1 | tee sttergeminus.k60.log


#END
