#!/bin/sh

#SBATCH -A standby
#SBATCH -N 1 -n 5
#SBATCH -t 4:00:00
#SBATCH --job-name="ste3 read alignment"
#SBATCH --mail-type=ALL
#SBATCH -o align_reads.ste3.out

module purge
module load bioinfo
module load bwa
#
## required input files:
## c.horridus.fa = reference fasta file
## R1.fastq + R2.fastq = wgs read fastq files
#
## STEP 1
## index reference and map reads
#bwa index -a bwtsw c.horridus.fa
#
## STEP 2
#LINE=$"desert_horridus"
#FILE=$"desert_horridus"
## make a DIR for each species with the reference and the PE reads
#
## map reads to bam
#bwa mem -t 10 -M -R "@RG\tID:group1\tSM:$LINE\tPL:illumina\tLB:lib1\tPU:unit1" \
#c.horridus.fa R1.fastq R2.fastq > ${LINE}.sam
#
## STEP 3
module load samtools
module load picard-tools
#
## validate sam file
## you need to check that the output file has NO errors
#PicardCommandLine ValidateSamFile I=${FILE}.sam MODE=SUMMARY O=${FILE}_samfile.txt
#PicardCommandLine SortSam SORT_ORDER=coordinate INPUT=${FILE}.sam OUTPUT=out.bam \
#TMP_DIR=`pwd`/tmp VALIDATION_STRINGENCY=LENIENT
#
## marking PCR duplicated reads without removing them
#PicardCommandLine MarkDuplicates INPUT=out.bam OUTPUT=marked.bam M=metrics.txt
#
## check coverage
#PicardCommandLine CollectWgsMetrics I=marked.bam \
#O=coverage_marked.txt R=c.horridus.fa
#
#PicardCommandLine BuildBamIndex INPUT=marked.bam
#
## create reference that reads can be mapped to. Will produce .fai file
#samtools faidx c.horridus.fa
#
#PicardCommandLine CreateSequenceDictionary \
#reference=c.horridus.fa output=c.horridus.dict
#
cd novoplasty/
#
#module purge
#module load bioinfo
#module load bwa
#
## required input files:
## mitoassembly.fa = reference fasta file
## R1.fastq + R2.fastq = wgs read fastq files
#
## STEP 1
## index reference and map reads
#bwa index -a bwtsw mitoassembly.fa
#
## STEP 2
LINE=$"desert_mitoassembly"
FILE=$"desert_mitoassembly"
## make a DIR for each species with the reference and the PE reads
#
## map reads to bam
#bwa mem -t 10 -M -R "@RG\tID:group1\tSM:$LINE\tPL:illumina\tLB:lib1\tPU:unit1" \
#mitoassembly.fa ../R1.fastq ../R2.fastq > ${LINE}.sam
#
## STEP 3
#module load samtools
#module load picard-tools
#
## validate sam file
## you need to check that the output file has NO errors
#PicardCommandLine ValidateSamFile I=${FILE}.sam MODE=SUMMARY O=${FILE}_samfile.txt
#PicardCommandLine SortSam SORT_ORDER=coordinate INPUT=${FILE}.sam OUTPUT=out.bam \
#TMP_DIR=`pwd`/tmp VALIDATION_STRINGENCY=LENIENT
#
## marking PCR duplicated reads without removing them
PicardCommandLine MarkDuplicates INPUT=out.bam OUTPUT=marked.bam M=metrics.txt
#
## check coverage
PicardCommandLine CollectWgsMetrics I=marked.bam \
O=coverage_marked.txt R=mitoassembly.fa
#
PicardCommandLine BuildBamIndex INPUT=marked.bam
#
## create reference that reads can be mapped to. Will produce .fai file
samtools faidx mitoassembly.fa
#
PicardCommandLine CreateSequenceDictionary \
reference=mitoassembly.fa output=mitoassembly.dict
#
##END
