#!/bin/bash

#PBS -q standby
#PBS -l nodes=1:ppn=20,naccesspolicy=singleuser
#PBS -l walltime=4:00:00
#PBS -N fastqc
#PBS -M bylsma@purdue.edu
#PBS -m abe

cd $PBS_O_WORKDIR
module purge
module load bioinfo
module load fastqc

cd $PBS_O_WORKDIR

cd /scratch/snyder/b/bylsma/massasauga/stedwardsii/reads

fastqc -o fastqc.output/ -f fastq -t 10 \
PE/stedwardsiiPE_TJH3595_R1_filteredT.fastq \
PE/stedwardsiiPE_TJH3595_filteredTup.fastq \
PE/stedwardsiiPE_TJH3595_R2_filteredT.fastq \


#END
