#!/bin/bash -l

#SBATCH -A fnrfish
#SBATCH -N 1 -n 5
#SBATCH -t 14-00:00:00
#SBATCH --job-name="genome1genome2blast"
#SBATCH --mail-type=ALL
#SBATCH -o genome1_genome2blast.out

module load bioinfo
module load blast/2.10.0+

# make BLAST database
makeblastdb -in genome1.fa -dbtype nucl
echo "blast databases complete"
echo ""
echo ""
echo "=========================================================="
echo ""
echo ""
# blast query sequences to BLAST database
blastn -query genome2.fa -db genome1.fa \
  -out genome1genome2blast.txt \
  -outfmt '6 qseqid sseqid length evalue pident nident mismatch gapopen gaps qstart qend qlen sstart send slen score bitscore qseq sseq' \
  -perc_identity 3 -qcov_hsp_perc 3 -culling_limit 1 -max_target_seqs 1 -evalue 10 \
  -num_threads 5

#END
